import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { LoginComponent } from './login/login.component';
import { UserComponent } from './user/user.component';
import { RepositoryComponent } from './repository/repository.component';
import { AccessapiComponent } from './accessapi/accessapi.component';
import { DatasetsComponent } from './datasets/datasets.component';
import { OntologieComponent } from './ontologie/ontologie.component';
import { PublishComponent } from './publish/publish.component';
import { SettingfdpComponent } from './settingfdp/settingfdp.component';
import { SettingsmartapiComponent } from './settingsmartapi/settingsmartapi.component';
import { RepositoryinfoComponent } from './repositoryinfo/repositoryinfo.component';
import { SwaggereditorComponent } from './swaggereditor/swaggereditor.component';


const routes: Routes = [
                        {path: 'login', component : LoginComponent},
                        {path: 'user', component : UserComponent},
                        {path: 'repository', component : RepositoryComponent},
                        {path: 'repositoryinfo', component : RepositoryinfoComponent},
                        {path: 'accessapi', component : AccessapiComponent},
                        {path: 'datasets', component : DatasetsComponent},
                        {path: 'ontologie', component : OntologieComponent},
                        {path: 'publish', component : PublishComponent},
                        {path: 'settingfdp', component : SettingfdpComponent},
                        {path: 'settingsmartapi', component : SettingsmartapiComponent},
                        {path: 'swaggerapi', component : SwaggereditorComponent}


                        ];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
